### Name: nsparseMatrix-classes
### Title: Sparse logical matrices
### Aliases: nsparseMatrix-class ngCMatrix-class ntCMatrix-class
###   nsCMatrix-class ngRMatrix-class ntRMatrix-class nsRMatrix-class
###   ngTMatrix-class ntTMatrix-class nsTMatrix-class
###   -,nsparseMatrix,missing-method !,nsparseMatrix-method
###   \%*\%,ngCMatrix,ngCMatrix-method
###   \%*\%,nsparseMatrix,nsparseMatrix-method
###   \%*\%,nsparseMatrix,ndenseMatrix-method
###   \%*\%,ndenseMatrix,nsparseMatrix-method chol,nsCMatrix,logical-method
###   chol,nsCMatrix,missing-method coerce,ngCMatrix,dgCMatrix-method
###   coerce,ngCMatrix,ngTMatrix-method coerce,ngCMatrix,ngeMatrix-method
###   coerce,ngCMatrix,matrix-method coerce,ngTMatrix,dgTMatrix-method
###   coerce,ngTMatrix,ngCMatrix-method coerce,ngTMatrix,matrix-method
###   coerce,nsCMatrix,dgTMatrix-method coerce,nsCMatrix,dsCMatrix-method
###   coerce,nsCMatrix,ngCMatrix-method coerce,nsCMatrix,nsTMatrix-method
###   coerce,nsCMatrix,matrix-method coerce,nsTMatrix,dsTMatrix-method
###   coerce,nsTMatrix,ngTMatrix-method coerce,nsTMatrix,matrix-method
###   coerce,ntCMatrix,dtCMatrix-method coerce,ntCMatrix,dMatrix-method
###   coerce,ntCMatrix,ngCMatrix-method coerce,ntCMatrix,matrix-method
###   coerce,matrix,ngCMatrix-method coerce,matrix,ngTMatrix-method
###   coerce,matrix,ntCMatrix-method coerce,ntTMatrix,dtTMatrix-method
###   coerce,ntTMatrix,ngTMatrix-method coerce,ntTMatrix,matrix-method
###   coerce,matrix,ntTMatrix-method crossprod,ngCMatrix,missing-method
###   crossprod,ngTMatrix,missing-method crossprod,nsparseMatrix-method
###   crossprod,nsparseMatrix,missing-method
###   crossprod,nsparseMatrix,nsparseMatrix-method
###   crossprod,nsparseMatrix,ndenseMatrix-method
###   crossprod,ndenseMatrix,nsparseMatrix-method diag,ngCMatrix-method
###   diag,nsparseMatrix-method image,ngCMatrix-method
###   image,nsCMatrix-method image,nsTMatrix-method image,ntCMatrix-method
###   image,ntTMatrix-method t,ngCMatrix-method t,ngTMatrix-method
###   t,nsCMatrix-method t,ntCMatrix-method
###   tcrossprod,ngCMatrix,missing-method
###   tcrossprod,ngTMatrix,missing-method
###   tcrossprod,nsparseMatrix,missing-method
### Keywords: classes algebra

### ** Examples

(m <- Matrix(c(0,0,2:0), 3,5, dimnames=list(LETTERS[1:3],NULL)))
## ``extract the nonzero-pattern of (m) into an nMatrix'':
nm <- as(m, "ngCMatrix")
str(nm) # no 'x' slot
!nm     # no longer sparse
## consistency check:
stopifnot(xor(as( nm, "matrix"),
              as(!nm, "matrix")))

data(KNex)
nmm <- as(KNex $ mm, "ngCMatrix")
str(xlx <- crossprod(nmm))# "nsCMatrix"
stopifnot(isSymmetric(xlx))
image(xlx, main=paste("crossprod(nmm) : Sparse", class(xlx)))



